Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface Shortcuts

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

    public interface Shortcuts

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Shortcuts'.

The following features are supported:

- `Shortcuts Decorator Provider Class Name`
- `Shortcuts Decorator Provider Priority`
- `Create Shortcut Action Class Name`
- `Create Shortcut Decorations Command Class Name`
- `Shortcut Property Tester Class Name`
- `Contains Shortcuts To`
- `Shortcuts Provided For`

See Also:
  `GMFGenPackage.getShortcuts()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`boolean` `generateCreateShortcutAction()`
`boolean` `generateShortcutIcon()`
`org.eclipse.emf.common.util.EList<java.lang.String>` `getContainsShortcutsTo()` Returns the value of the 'Contains Shortcuts To' attribute list.
`java.lang.String` `getCreateShortcutActionClassName()` Returns the value of the 'Create Shortcut Action Class Name' attribute
`java.lang.String` `getCreateShortcutActionQualifiedClassName()`
`java.lang.String` `getCreateShortcutDecorationsCommandClassName()` Returns the value of the 'Create Shortcut Decorations Command Class Name' attribute
`java.lang.String` `getCreateShortcutDecorationsCommandQualifiedClassName()`
`java.lang.String` `getShortcutPropertyTesterClassName()` Returns the value of the 'Shortcut Property Tester Class Name' attribute
`java.lang.String` `getShortcutPropertyTesterQualifiedClassName()`
`java.lang.String` `getShortcutsDecoratorProviderClassName()` Returns the value of the 'Shortcuts Decorator Provider Class Name' attribute
`ProviderPriority` `getShortcutsDecoratorProviderPriority()` Returns the value of the 'Shortcuts Decorator Provider Priority' attribute.
`java.lang.String` `getShortcutsDecoratorProviderQualifiedClassName()`
`org.eclipse.emf.common.util.EList<java.lang.String>` `getShortcutsProvidedFor()` Returns the value of the 'Shortcuts Provided For' attribute list.
`void` `setCreateShortcutActionClassName(java.lang.String value)` Sets the value of the '`Create Shortcut Action Class Name`' attribute
`void` `setCreateShortcutDecorationsCommandClassName(java.lang.String value)` Sets the value of the '`Create Shortcut Decorations Command Class Name`' attribute
`void` `setShortcutPropertyTesterClassName(java.lang.String value)` Sets the value of the '`Shortcut Property Tester Class Name`' attribute
`void` `setShortcutsDecoratorProviderClassName(java.lang.String value)` Sets the value of the '`Shortcuts Decorator Provider Class Name`' attribute
`void` `setShortcutsDecoratorProviderPriority(ProviderPriority value)` Sets the value of the '`Shortcuts Decorator Provider Priority`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getShortcutsDecoratorProviderClassName

    java.lang.String getShortcutsDecoratorProviderClassName()

  Returns the value of the 'Shortcuts Decorator Provider Class Name' attribute.

  If the meaning of the 'Shortcuts Decorator Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Shortcuts Decorator Provider Class Name' attribute.
  See Also:
    `setShortcutsDecoratorProviderClassName(String)`, `GMFGenPackage.getShortcuts_ShortcutsDecoratorProviderClassName()`
  ** Generated **
  Model:

### setShortcutsDecoratorProviderClassName

    void setShortcutsDecoratorProviderClassName(java.lang.String value)

  Sets the value of the '`Shortcuts Decorator Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Shortcuts Decorator Provider Class Name' attribute.
  See Also:
    `getShortcutsDecoratorProviderClassName()`
  ** Generated **

### getShortcutsDecoratorProviderPriority

    ProviderPriority getShortcutsDecoratorProviderPriority()

  Returns the value of the 'Shortcuts Decorator Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Shortcuts Decorator Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Shortcuts Decorator Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setShortcutsDecoratorProviderPriority(ProviderPriority)`, `GMFGenPackage.getShortcuts_ShortcutsDecoratorProviderPriority()`
  ** Generated **
  Model:

### setShortcutsDecoratorProviderPriority

    void setShortcutsDecoratorProviderPriority(ProviderPriority value)

  Sets the value of the '`Shortcuts Decorator Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Shortcuts Decorator Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getShortcutsDecoratorProviderPriority()`
  ** Generated **

### getCreateShortcutActionClassName

    java.lang.String getCreateShortcutActionClassName()

  Returns the value of the 'Create Shortcut Action Class Name' attribute.

  If the meaning of the 'Create Shortcut Action Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Create Shortcut Action Class Name' attribute.
  See Also:
    `setCreateShortcutActionClassName(String)`, `GMFGenPackage.getShortcuts_CreateShortcutActionClassName()`
  ** Generated **
  Model:

### setCreateShortcutActionClassName

    void setCreateShortcutActionClassName(java.lang.String value)

  Sets the value of the '`Create Shortcut Action Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Create Shortcut Action Class Name' attribute.
  See Also:
    `getCreateShortcutActionClassName()`
  ** Generated **

### getCreateShortcutDecorationsCommandClassName

    java.lang.String getCreateShortcutDecorationsCommandClassName()

  Returns the value of the 'Create Shortcut Decorations Command Class Name' attribute.

  If the meaning of the 'Create Shortcut Decorations Command Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Create Shortcut Decorations Command Class Name' attribute.
  See Also:
    `setCreateShortcutDecorationsCommandClassName(String)`, `GMFGenPackage.getShortcuts_CreateShortcutDecorationsCommandClassName()`
  ** Generated **
  Model:

### setCreateShortcutDecorationsCommandClassName

    void setCreateShortcutDecorationsCommandClassName(java.lang.String value)

  Sets the value of the '`Create Shortcut Decorations Command Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Create Shortcut Decorations Command Class Name' attribute.
  See Also:
    `getCreateShortcutDecorationsCommandClassName()`
  ** Generated **

### getShortcutPropertyTesterClassName

    java.lang.String getShortcutPropertyTesterClassName()

  Returns the value of the 'Shortcut Property Tester Class Name' attribute.

  If the meaning of the 'Shortcut Property Tester Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Shortcut Property Tester Class Name' attribute.
  See Also:
    `setShortcutPropertyTesterClassName(String)`, `GMFGenPackage.getShortcuts_ShortcutPropertyTesterClassName()`
  ** Generated **
  Model:

### setShortcutPropertyTesterClassName

    void setShortcutPropertyTesterClassName(java.lang.String value)

  Sets the value of the '`Shortcut Property Tester Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Shortcut Property Tester Class Name' attribute.
  See Also:
    `getShortcutPropertyTesterClassName()`
  ** Generated **

### getContainsShortcutsTo

    org.eclipse.emf.common.util.EList<java.lang.String> getContainsShortcutsTo()

  Returns the value of the 'Contains Shortcuts To' attribute list. The list contents are of type `String`. Set of domain meta-model file extensions. Elements of the corresponding models could be added as a shortcut on this diagram.

  Returns:
    the value of the 'Contains Shortcuts To' attribute list.
  See Also:
    `GMFGenPackage.getShortcuts_ContainsShortcutsTo()`
  ** Generated **
  Model:

### getShortcutsProvidedFor

    org.eclipse.emf.common.util.EList<java.lang.String> getShortcutsProvidedFor()

  Returns the value of the 'Shortcuts Provided For' attribute list. The list contents are of type `String`. Set of domain meta-model names. Elements of this diagram domain model could be added as a shortcuts to the diagrams of the specified domains.

  Returns:
    the value of the 'Shortcuts Provided For' attribute list.
  See Also:
    `GMFGenPackage.getShortcuts_ShortcutsProvidedFor()`
  ** Generated **
  Model:

### getShortcutsDecoratorProviderQualifiedClassName

    java.lang.String getShortcutsDecoratorProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getCreateShortcutActionQualifiedClassName

    java.lang.String getCreateShortcutActionQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getCreateShortcutDecorationsCommandQualifiedClassName

    java.lang.String getCreateShortcutDecorationsCommandQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getShortcutPropertyTesterQualifiedClassName

    java.lang.String getShortcutPropertyTesterQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### generateCreateShortcutAction

    boolean generateCreateShortcutAction()

  ** Generated **
  Model:

### generateShortcutIcon

    boolean generateShortcutIcon()

  ** Generated **
  Model:

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.